/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#include <gui_generated/containers/McuLoadWidgetBase.hpp>
#include <texts/TextKeysAndLanguages.hpp>
#include <touchgfx/Color.hpp>

McuLoadWidgetBase::McuLoadWidgetBase()
{
    setWidth(96);
    setHeight(20);

    mcuLoadTxt.setXY(0, 0);
    mcuLoadTxt.setColor(touchgfx::Color::getColorFrom24BitRGB(255, 255, 255));
    mcuLoadTxt.setLinespacing(0);
    mcuLoadTxt.setTypedText(TypedText(T_DEMO_VIEW_MCU_LOAD_TEXT));

    mcuLoadValueTxt.setPosition(62, 0, 34, 14);
    mcuLoadValueTxt.setColor(touchgfx::Color::getColorFrom24BitRGB(255, 255, 255));
    mcuLoadValueTxt.setLinespacing(0);
    mcuLoadValueTxtBuffer[0] = 0;
    mcuLoadValueTxt.setWildcard(mcuLoadValueTxtBuffer);
    mcuLoadValueTxt.setTypedText(TypedText(T_DEMO_VIEW_MCU_LOAD_VALUE));

    add(mcuLoadTxt);
    add(mcuLoadValueTxt);
}

void McuLoadWidgetBase::initialize()
{
	
}
